# Standard weapons

## Dispersion Pistol

Standard-issue weapon for Vortex Rikers personnel. Not too strong, as it's
meant to be a deterrent, but can become a deadly weapon with upgrade kits.

Primary fire: Shoots out a burst of energy. The light it emits can be useful
in dark areas.

Secondary fire: Charges the shot up to a maximum of 500% of its original power.

The microfusion core it contains can resupply it with ammunition practically
until the end of time.

## Automag

A very reliable gunpowder-based firearm, chambered in 9mm. Mag holds 20 shots.

Primary fire: The typical. Hold for automatic fire.

Secondary fire: Due to its characteristics, the firing speed can be improved
by holding it sideways, although this will make it much harder to aim straight.

### Extended behaviour

A skilled gunslinger can use two of these at the same time, and with adequate
coordination, time their shots in a way that virtually doubles the speed at
which they can deal the pain.

## Stinger

Proving that hostility is the mother of invention, the Stinger is in fact a
repurposed mining tool. This weapon breaks down raw tarydium mineral into
puncturing shards, which are expelled with great force.

Primary fire: A single shard. Holding down the trigger will initiate a rapid
fire mode after this initial shot.

Secondary fire: Releases five shards at once with some small spread, after
this the weapon will need a short time to load up ammunition again.

### Extended behaviour

With each shot, targets will be pumped with highly volatile Tarydium, resulting
in a thundering blast of sheer energy when hit with fire from other weapons, or
sufficient kinetic force (e.g. making them fall from a considerable height).

## ASMD

This energy weapon packs quite a punch with each shot. If the energy contained
within its internal core were to be released all at once the resulting blast
would be enough to bring down a large building.

Primary fire: A lightning-fast burst of energy with considerable knockback.

Secondary fire: An unstable, slow moving ball of energy.

It is rumored that some sort of combined attack would be possible.

## Eightball

A powerful weapon. Its nickname comes from the popular pool game, which Skaarj
hunters apparently had a bloodier, more explosive version of. The Eightball is
true beauty in the eyes of anyone with a thirst for destruction.

Primary fire: Shoots rockets. Up to 6 can be loaded when holding the trigger.

Secondary fire: Lobs unignited rockets as bouncing grenades.

Normally the Eightball will fire its rockets in an arc, but by holding both
triggers simultaneously after the loading sequence has started, it's possible
to instead fire them in a tightly packed circular pattern.

The weapon is additionally equipped with a target designator for the rockets to
seek. Simply keep your sights on the objective for a moment and it will produce
an audible signal once it has locked on. Note that this sound will also alert
the target.

## Flak Cannon

Kind of a cumbersome weapon, but don't let that fool you. This portable
artillery can deal quite the damage.

Primary fire: detonates the mortar shell within the weapon's barrel, resulting
in a curtain of shrapnel flying in the general direction of your enemies.

Secondary fire: Launches the whole mortar shell, which on impact will explode
and spray shrapnel in the direction it was facing when shot.

## Razorjack

A Skaarj hunting weapon. Fires large, spinning, serrated blades that bounce
steadily on hard surfaces and are easily capable of slicing cleanly through
all but the toughest materials.

Primary fire: Single blades that ricochet off walls, ceilings and floors.

Secondary fire: Tilting the weapon, activates a rather limited guiding
mechanism within the blades, which allows them to alter their trajectory by
following motion signals from the weapon's built-in accelerometer. For skilled
users only.

### Extended behaviour

Holding down the trigger for the primary fire will gradually increase the
initial spin of the blade, resulting in a faster, more damaging projectile.

## GES Biorifle

A product of Mercenary engineering, and also a testament to creative
recycling. This weapon makes use of the highly toxic waste material resulting
from Tarydium refinement.

Primary fire: Shoots globs of sludge that stick to most surfaces and explode
violently in contact with living tissue.

Secondary fire: Hold to charge up a larger mass of sludge, up to 500% the size
of a normal shot.

## Rifle

Nicknamed "Pocket Howitzer" by big game hunters in the farthest reaches of the
galaxy, this 5ft long carbine packs an incredible wallop.

Primary fire: Long range, highly accurate shots. Aim for the head for extra
damage.

Secondary fire: Toggles a retractable scope for easier long range aim. The Zoom
button can also be used for this.

### Extended behaviour

Secondary fire is now replaced with a fast three shot burst, while pressing the
reload button will toggle the weapon's integrated flashlight. The Zoom button
will still have the original zoom behaviour.

## Minigun

Another ballistic weapon, like the Automag. Since they're the same caliber,
ammunition can be shared between both weapons.

Primary fire: A rapid barrage of bullets.

Secondary fire: A much faster, but less accurate rain of pain.

## SMP 7243

A limited edition, gold-plated rapid fire Automag. Magazine holds 100 rounds,
but believe it or not, they won't last very long.

Primary fire: Full auto, semi-accurate. Empties mag in 9 seconds.

Secondary fire: Fuller auto, extremely inaccurate. Empties mag in 3 seconds.

# Prototype weapons

## Stunner

An allegedly "non-lethal" weapon engineered by the Skaarj. Charges up pulses
of kinetic force.

Primary fire: Build up and release a charge of kinetic force in front of you.
Any targets unlucky enough to stand in its way will be pushed away.

Secondary fire: "Inverts the polarity" of the charge, which results in the
complete opposite effect, causing targets to instead be pulled towards you.

Since the charge rod rapidly extends on shoot, both fire modes additionally
deal considerable melee damage to anything that's too close.

Its energy supply will regenerate quickly, as long as you have plenty of
Tarydium Shards in your inventory.

## Razorclaw

A rudimentary close combat weapon handcrafted by a fellow survivor of the
Vortex Rikers crash, using a drill and blades salvaged from stolen Skaarj
Razorjacks.

Primary fire: Spins up the blades, slicing and dicing anything that gets too
close.

Secondary fire: Activates a mechanism in the drill head that pulls the blades
together, clamping down into a single point. The force of this attack is akin
to the bite of a large alligator, if it had rusty metal teeth.

Due to its simple operation, it's so efficient on battery life that in practice
it would never run dry.

## Teleport Capsules

Paired devices that can warp the user instantly between any two points of
space. The holding unit can be carried comfortably on your belt.

Primary fire: Throw one of the two modules towards your desired destination.
A built in gyroscope will try to keep it upright on any surface. If you already
have a unit out, you will instead press the recall button on the second module,
which will recall its companion.

Secondary fire: With one of the modules out, press the teleport button in the
second one. This will initiate the teleport process. Make sure there is enough
space on the destination, as this process will cancel itself otherwise.
Apparently, living matter sometimes doesn't seem to trigger the safeguard, and
the device will happily teleport you into the guts of whatever critter is in
the way, resulting in a gory shower, and a very traumatic experience for
first-timers. If you don't have a module out, you'll just flip the bird at
whatever's in front of you. Reload also does this.

## Protomag

A very rare prototype handgun. Due to the difficulty of its manufacture, it was
quickly discontinued and not many of these exist. You would have to be pretty
lucky to come across one.

The special trait of this weapon comes into play when you realize that there's
no need to reload. An experimental entanglement unit inside the gun's internal
mag locates spare ammunition carried by the user and automatically loads it.

Both of its fire modes work exactly like the Automag, although due to
internal differences, it's a bit weaker in terms of damage, however it
compensates by having pinpoint accuracy on its primary fire (unless dual
wielded) and having a much faster alternate fire.

Pressing the reload button makes use of the gun's weight to beat the crap out
of your enemies up close.

As an added bonus, you can press the zoom button to spin the gun. This doesn't
serve any purpose other than looking cool.

## Quadshot

A serious man once said "double the gun, double your fun", so clearly, doubling
what already has been doubled would make things even more fun, right? This
four-barrel beast of a gun is not to be underestimated.

Primary fire: Shoots one barrel. Moderate damage, short spread.

Secondary fire: Shoots all loaded barrels at once. Deadly if fully loaded, but
the spread is much wider.

Make sure to have some cover ready while reloading, because it takes some time.

## Peacemaker

Standard-issue "room clearing" device manufactured by the Inuit Corporation.

Primary fire: Deploy the device. Hold to increase the activation delay, up to
9 seconds. Having landed on solid ground, it will wait and then open up and
release the rockets one by one, after which it will self-destruct. Note that
these rockets will chase after anything that gets close, so keep your distance.

Secondary fire: Same as before, but the device will instead self-destruct right
away, causing a much bigger boom.

## Impaler

A powerful energy weapon that uses enriched Tarydium crystals. Wielded by
members of the Krall Dark Angel clan.

Primary fire: Releases the currently held crystal, upon contact with any
solid object or surface it will explode spectacularly depending on its charge.
Its effects and damage are severely weakened when underwater.

Secondary fire: Redirects the energy contained within the crystal into an
unstable beam of energy that arcs between any living creatures in front of the
user. Doesn't work underwater.

Reload: Manually loads/unloads the crystal. Useful if you need to go for a
swim and don't want to lose that precious charge.

With no crystal loaded, both fire modes will be replaced with a melee attack.

## Flamethrower

A Mercenary weapon built through reverse engineering of scavenged human
technology.

Primary fire: Ejects a stream of fire up to a range of 40ft. Built-in cooling
prevents the weapon from overheating, so you can keep spraying for as long as
you want.

Secondary fire: Charges up and shoots an ignited blob of napalm. On impact with
any surface it will splash little bits of itself around. Anyone who touches the
stuff will immediately catch on fire.

The weapon is completely useless if the user or target are underwater.

## Fireblaster

Another Mercenary invention, and a direct evolution of the previously listed
Flamethrower. Shoots green-ish fireballs stabilized by microgravity.

Primary fire: Rapid, steady shots. Costs 10 units of napalm per projectile.

Secondary fire: A slowly charged fireball costing 20 units of napalm. Spreads
small embers on impact.

Like its predecessor, the Fireblaster is obviously completely useless when
water is involved. A very clever human scientist would eventually solve this,
but that's a story for another time (and mod).

## Demolisher

The Demolisher is the crowning achievement of Bigman gunsmithing. Built with
the finest metals available on Na Pali, and engineered with love for one and
only one thing: EXPLOSIONS.

Primary fire: Single explosive shot, high recoil.

Secondary fire: Rapid fire. A puny little human like you stands no chance
against its recoil.

Magazine holds 4 shots. As this weapon is practically impossible to hold
left-handed, you're going to have a real bad time handling it.

## Autocannon

A barely portable weapon. Usually these are mounted on ships, you know...

Primary fire: Shoots each barrel one at a time. A direct hit is pretty much
lethal for small targets.

Secondary fire: Fires four barrels simultaneously. Watch out for the massive
recoil.
