# Standard Items

## Universal Translator

"Provides you with vital information, clues and hints about the game. Whenever
you encounter an item the Translator can analyze and interpret, a message will
display on your screen and your Translator icon will begin to flash. Hit F2 to
activate your Translator and read its analysis. Hit F2 again to deactivate the
Translator when you are done."

The Universal Translator is the main item for reading text logs and others in
the original game. Here, it's up to the mapper to provide such functionality so
this item isn't really given to players. It may get use if I or someone else
recreate Unreal 1 maps.

This mod's version of the Translator has additional features:
- Vertical scrolling for long messages, just use the up/down arrow keys,
  mouse wheel or drag along the bar.
- Toggling hint display, if there's a glowing icon on the bottom right, press
  page down or click on it. Press page up / click on the bottom left to return
  to the message.
- Going through previous messages, by pressing left / right or clicking the
  arrows next to the page numbers.

## Amplifier

When active, dramatically enhances the power of the Dispersion Pistol, ASMD,
Stunner and Impaler.

## Dampener

Deadens the sound of emitted from your weapons, making it much easier to launch
sneak attacks.

This item was pretty much useless in the original game, but here it really does
have a considerable effect.

## Flare

Provides temporary light in dark areas when lit and tossed on the ground. You
cannot hold onto a lit flare.

Lit flares last up to 10 seconds, after which they will detonate, dealing some
damage. They can also be shot to detonate manually.

Flares can also alert enemies of your presence, so be careful.

## Flashlight

Use a flashlight when you need to carry your light source with you. Flashlights
have limited battery life, however, so keep an eye on the power meter.

## Force Field

Creates a temporary impenetrable barrier. Useful for blocking entryways and
narrow corridors, and for use as a protective shield.

The barrier is also solid enough to be stood on, so it can also be used to
cross over large gaps.

## Invisibility

Makes you temporarily invisible. But remember, even the wind can be heard.

Combined with the Dampener it'll make you virtually undetectable, unless an
enemy is already aware of your presence. Note that when firing your weapon you
will be visible for a split second.

## Jump Boots

Activating the boots enables you to jump much higher than normal. Once picked
up the Boots only last for a short period of time, so take advantage of them
while you can.

In addition, the Boots can provide resistance to damaging floors.

## Scuba Gear

Gives you the ability to breathe while underwater. Lasts around 2 minutes.

## Searchlight

Provides considerably more light than a flashlight and has around half an hour
of battery life. Definitely worth keeping around.

## Nali Fruit Seed

Plant one of these to grow a Nali Healing Fruit. Once the plant grows to full
size, it can give you a 29-unit health boost. If  you eat the plant before it
is fully grown, your health gain will be less substantial.

## Voice Box

Creates a sound diversion to distract your enemies, so you can make your
escape while they attempt to get rid of the annoying noise this device emits.

## Bandages

These provide limited healing (+5 units of health), but do little to reverse
the effects of major damage.

## Nali Healing Fruit

This native plant has natural healing properties. When eaten, it can give you a
29-unit health boost. In multiplayer games, Nali Healing Fruits re-grown soon
after they are picked.

## Health Pack

These give a somewhat moderate boost of health (+20 units) and are always a
welcome sight after a hard battle.

## Super Health Pack

Boosts your health by 100 units. Don't waste these by grabbing them when you
are close to full health (200 units). Wait until you really need the boost
before you pick it up. (Note: this is the only way to get over 100 health).

## Assault Vest

Standard protection. Can take up to 100 points of damage before breaking, but
only soaks up 90% of what you receive.

Unlike in standard Doom, most armor items don't overwrite each other, excluding
the suits (see below).

## Kevlar Suit

Works in conjunction with the Assault Vest to provide even greater protection
from damage (100 more points, 80% absorption).

## Asbestos Suit

Provides resistance to fire and heat damage.

## Toxin Suit

Prevents damage from Slime pools and other toxic areas.

## Shield Belt

Generates a protective barrier around you that can completely block out up to
100 points of damage. Takes priority over normal armor items.

## Power Shield

A much more potent version of the Shield Belt, which can absorb up to 200
individual hits, but loses charge over time.

## Dispersion Pistol Powerups

These capsules contain upgrade parts for your starter weapon, allowing for
increased damage and ammo capacity.

The Dispersion Pistol can be upgraded up to four times. Any more of these
picked up afterwards will simply replenish your ammo supply.

# Misc Items

## Backpack

Like in Doom Tournament, these will double your maximum ammo capacity, and also
provide you with some spare ammo for all weapons. In Doomreal they can
sometimes give you additional items like Flares, Seeds and other usables.

## Keys

Identical to Doom Tournament.

## Minigun Sentry

A big, heavy turret that will gun down any enemies that stand in its view
range.

Unlike the Light Sentries this one has a much wider range of view and can be
resupplied with extra ammo. Conveniently, you can also recall it to put it back
in your inventory. While carried it will slowly repair any damage it has taken.

In deathmatch, the Sentry will "switch owners" to whoever last replenished it
with ammunition, like the Turrets in ChaosUT.

Note: This is an original item that mainly exists as a more polished take on
the previous one.

## Armor Bonus

There needed to be an equivalent to Doom Tournament's here. These stack up to
a total of 200. In addition, the more you have, the higher the percentage of
damage they will absorb.

They have the lowest priority, so all other armors will go down first.

# Prototype Items

## Light & Dark Flares

Special flares that can provide additional bright light to an area or dark,
thick fog to darken a specific spot. If enabled, the player starts with an
infinitely regenerating supply of both, but only one can be used at a time.

These merely existed as a gimmick to show off dynamic lighting in Unreal
Engine, so they're not very practical or balanced.

## Light Sentry

Pocket turrets that shoot at any enemies standing in front of them. Easy to
carry and deploy, but once they're out in the field that's it. They will keep
going until they run out of ammo or battery, after which they will
self-destruct.

## Motion Detector

This pocket device will allow you to spot nearby enemies. In addition each one
you find will give you full automap data for the current level.
